| OpenMS 2.5.0

MSstatsConverter

Converter to input for MSstats

This util consumes an ID-mapped consensusXML file and OpenMS experimental design in TSV format to create a CSV file which can subsequently be used as input for the R package MSstats [1].

[1] M. Choi et al. MSstats: an R package for statistical analysis for quantitative mass spectrometry-based proteomic experiments. Bioinformatics (2014), 30 (17): 2524-2526

The command line parameters of this tool are:

    MSstatsConverter -- Converter to input for MSstats

    Full documentation: http://www.openms.de/documentation/UTILS_MSstatsConverter.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      MSstatsConverter <options>

    Options (mandatory options marked with '*'):

      -in <in>*                                     Input consensusXML with peptide intensities (valid formats:

                                                    'consensusXML')

      -in_design <in_design>*                       Experimental Design file (valid formats: 'tsv')

      -method <method>                              Method used in the experiment(label free [LFQ], isobaric labe

                                                    ling [ISO])) (default: 'LFQ' valid: 'LFQ', 'ISO')

      -msstats_bioreplicate <msstats_bioreplicate>  Which column in the condition table should be used for MSstat

                                                    s 'BioReplicate' (default: 'MSstats_BioReplicate')

      -msstats_condition <msstats_condition>        Which column in the condition table should be used for MSstat

                                                    s 'Condition' (default: 'MSstats_Condition')

      -msstats_mixture msstats_mixture              Which column in the condition table should be used for MSstat

                                                    s 'Mixture' (default: 'MSstats_Mixture')

      -labeled_reference_peptides                   If set, IsotopeLabelType is 'H', else 'L'

      -out <out>*                                   Input CSV file for MSstats. (valid formats: 'csv')

    Common UTIL options:

      -ini <file>                                   Use the given TOPP INI file

      -threads <n>                                  Sets the number of threads allowed to be used by the TOPP

                                                    tool (default: '1')

      -write_ini <file>                             Writes the default configuration file

      --help                                        Shows options

      --helphelp                                    Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+MSstatsConverter Converter to input for MSstats
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'MSstatsConverter'
in Input consensusXML with peptide intensities input file*.consensusXML
in_design Experimental Design file input file*.tsv
method LFQ Method used in the experiment(label free [LFQ], isobaric labeling [ISO]))LFQ,ISO
msstats_bioreplicate MSstats_BioReplicate Which column in the condition table should be used for MSstats 'BioReplicate'
msstats_condition MSstats_Condition Which column in the condition table should be used for MSstats 'Condition'
msstats_mixture MSstats_Mixture Which column in the condition table should be used for MSstats 'Mixture'
reannotate_filenames[] Overwrite MS file names in consensusXML input file*.mzML
labeled_reference_peptides false If set, IsotopeLabelType is 'H', else 'L'true,false
retention_time_summarization_method max How indistinguishable peptidoforms at different retention times should be treated. This is usually necessary for LFQ experiments and therefore defaults to 'max'. In case of TMT/iTRAQ, MSstatsTMT does the aggregation itself later and the parameter always resets to manual (i.e. is unused).manual,max,min,mean,sum
out Input CSV file for MSstats.output file*.csv
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false